Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 125723 - cppunit-1.10.2.ebuild: graphviz dependency only neccessary if use doc
Summary: cppunit-1.10.2.ebuild: graphviz dependency only neccessary if use doc
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Maintainers for Miscelleneous Language Packages [OBSOLETE]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-10 09:14 UTC by Ben Gardiner
Modified: 2006-04-02 06:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Gardiner 2006-03-10 09:14:14 UTC
Currently cppunit depends on graphviz, and conditionally (USE=doc) depends on doxygen; however, the --enable-dot flag for cppunit's ./configure causes cppunit to tell doxygen to use dot. So the dependency on graphviz should be conditional on doc also.

A proposed patch for the situation:
-----------------------------------

--- cppunit-1.10.2.ebuild       2006-03-10 12:13:42.000000000 -0500
+++ cppunit-1.10.2-r1.ebuild    2006-03-10 12:00:49.000000000 -0500
@@ -14,8 +14,8 @@               
 IUSE="doc"                     
 RESTRICT="test"                
                                
-DEPEND="doc? ( app-doc/doxygen )
-       media-gfx/graphviz"     
+DEPEND="doc? ( app-doc/doxygen 
+       media-gfx/graphviz )"   
                                
 src_unpack() {                 
        unpack ${A}             
@@ -24,7 +24,10 @@              
 }                              
                                
 src_compile() {                
-       econf $(use_enable doc doxygen) || die "configure failed"
+       econf \                 
+               $(use_enable doc doxygen) \
+               $(use enable doc dot) \
+               || die "configure failed"
        emake || die            
 }
Comment 1 George Shapovalov (RETIRED) gentoo-dev 2006-04-02 06:24:34 UTC
Hi Ben.

Thanks for spotting this!
Fixed.

George